Figure - Bug #111768

Bug # 111192 (CLOSED): O Figured 0 EVT30 O EEC O 0O 0O O O 10 60 O O Performanced

kernel DTS and init module crop
2022-09-06 18:04 - CD SYSTEM-0 0 00

Status: CLOSED Start date: 2022-09-06
Priority: Normal Due date:

Assignee: gbooboo_cepTsbod % Done: 100%
Category: SYSTEM Estimated time: 0.00 hour
Target version:

Need_Info: - Found Version: every version
Resolution: - Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

144900 000000000 OsysfsO00 00300 000dtsd

init/main.c

do_basic_setup()-->driver_init() --> of_core_init()-->for_each_of_allnodes(np) __of_attach_node_sysfs(np)

O O userdebugO 3s00 userd [0 200msd

2initfirstinitstaged O O O O O O initDd O O O .initcall userdebug 10990 init0 O O 0 0 0O O O O 200 sO

USERO O Odefconfig0 00O O0OO0OOO
gboooooooobooboboboooooonog

https://thundersoft.feishu.cn/sheets/shtcnVOVWIzwKhGm3hdehSCZirh?sheet=x2fGt5

gooooobprsboooboo

History

#1 - 2022-09-06 18:05 - CD SYSTEM-O O O
- File uartlog0902e.log added
- Assignee set to CD SYSTEM-0 [0 O

#2 - 2022-09-08 21:25 - CD SYSTEM-O O O

0 O O O O pcie2/camera/coresight

https://dev.thundercomm.com/gerrit/c/147840
https://dev.thundercomm.com/gerrit/c/147832
https://dev.thundercomm.com/gerrit/c/147833
https://dev.thundercomm.com/gerrit/c/147839
https://dev.thundercomm.com/gerrit/c/147836

#3-2022-09-1411:18-CD TPM-0 0 O
- Category set to SYSTEM

#4 - 2022-10-20 15:21 - CD SYSTEM-O O O
- Status changed from New to RESOLVED
- % Done changed from 0 to 100

oobooooo
https://thundersoft.feishu.cn/sheets/shtcnV0VWIzwKhGm3hdehSCZirh?sheet=x2fGt5
https://dev.thundercomm.com/gerrit/c/147840
https://dev.thundercomm.com/gerrit/c/147832
https://dev.thundercomm.com/gerrit/c/147833
https://dev.thundercomm.com/gerrit/c/147839
https://dev.thundercomm.com/gerrit/c/147836

#5-2022-10-2110:48 - CD SYSTEM-O O O

- Assignee changed from CD SYSTEM-0O 0 O to CDTS_TEST O O

oooooubooooooo
10000
2 adb shell dmesg > kernel.log

check kernel.logC) O 00 00 O message[]
gcom,camera

pcie2

coresight

#6 - 2022-10-28 10:17 - CDTS_TEST O O

- Assignee changed from CDTS_TESTO O toO O OO OO _CDTSOO

#7-2022-10-2816:15-0 00000 _CDTSO O
- Status changed from RESOLVED to VERIFIED

ooooo

00 0O O 01.00.X101_20221028_private_user

kernel.log O O O O O message
gcom,camera
pcie2

coresight

#8-2022-10-2816:46-0 00000 _CDTSO O
- Status changed from VERIFIED to CLOSED

#9 - 2022-12-22 20:30 - CD Fw-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

147833

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

zhaozj0108@thundersoft.com

SYSTEM: disabled camera in dts1. modify dts/dtsi ,Disable the nodes related to the camera; TC-RID: 1200-0800201IssuelD: TS-R-BUG-111768Change-Id:
18102372eb68dah8203685911a6018056833b1d3f

#10 - 2022-12-22 20:30 - CD Fw-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

147836

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

zhaozj0108@thundersoft.com

2025-07-04
SYSTEM: disabled coresight in dts1. modify dts/dtsi ,Disable the nodes related to the coresight; TC-RID: 1200-08002011ssuelD: TS-R-BUG-111768Change-Id:
1f10fb2a0d89585¢c6c807f4827ca8336eb54e56e7

#11 - 2022-12-22 20:30 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
147839 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | zhaozj0108@thundersoft.com
r-dev

SYSTEM: disabled coresight in driverl. modify defconfig ,don't set coresight CONFIG;TC-RID: 1200-0800201IssuelD: TS-R-BUG-111768Change-Id:
1d5¢37572f48450e385a618c8212d180561e8186

#12 - 2022-12-22 20:30 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
147840 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | zhaozj0108@thundersoft.com
m/proprietary r-dev

SYSTEM: disabled pcie2 in dts1. modify dts/dtsi ,Disable the nodes related to the pcie2; TC-RID: 1200-08002011ssuelD: TS-R-BUG-111768Change-Id:
lach9d448090760ed433d20818f80178b6197b4ee

#13 - 2022-12-22 20:36 - CD FW-0 O
Gerrit Merge Information(]

1D Project Branch Uploader
151113 general/platform/vendor/opensource/ | Pre_figure_turbox-c2130c-lal.1-vendo | zhaozj0108@thundersoft.com
camera-kernel r-dev

SYSTEM: disabled camera in driverl. modify camera makefile; TC-RID: 1200-08002011ssuelD: TS-R-BUG-111768Change-1d:
1c7d0161dfde8013e10550109c227ece7c6131b11

Files

uartlog0902e.log 329 KB 2022-09-06 CDSYSTEM-O OO
